# isHexString

> Test whether a string contains only hexadecimal digits.


<section class="usage">

## Usage

``` javascript
var isHexString = require( '@stdlib/assert/is-hex-string' );
```


#### isHexString( value )

Tests whether a string contains only hexadecimal digits.

``` javascript
var bool = isHexString( '0123456789abcdefABCDEF' );
// returns true
```

</section>

<!-- /.usage -->


<section class="notes">

## Notes

* For non-string values, the function returns `false`.
* The function does __not__ recognize `x` (as in the standard `0x` prefix).

</section>

<!-- /.notes -->


<section class="examples">

## Examples

``` javascript
var isHexString = require( '@stdlib/assert/is-hex-string' );

var out = isHexString( '0123456789abcdefABCDEF' );
// returns true

out = isHexString( '' );
// returns false

out = isHexString( '0xffffff' );
// returns false

out = isHexString( 123 );
// returns false
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: is-hex-string [options] <string>

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ is-hex-string 0123456789abcdefABCDEF
true
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


<section class="links">

</section>

<!-- /.links -->
